Table of Contents

Next

Table of Contents

Section I: Overview

What is Disk Recoup™?

Why use Disk Recoup™?

What is copied?

Determine the status of a hard drive

Section II: Using Disk Recoup™

Install Disk Recoup™

Prepare to use Disk Recoup™

Start a new disk copy session

Resume a disk copy session

Decrypt the destination

Logging and status report

Features

Licensing and technical support

Frequently asked questions

Contact us

Section III: Menus

File menu

Options menu

Help menu

Section IV: Dialogs

About Disk Recoup

Decryption Status

End user licensing agreement

License

Main dialog

Omit sectors

Source drive optimization

Trace

Section V: Error and warning messages

Messages 001 to 010

Messages 011 to 020

Messages 101 to 110

Messages 111 to 120

Messages 121 to 130

Messages 131 to 140

Messages 401 to 410

Messages 411 to 420

Table of Contents
Next


What is Disk Recoup™?

Previous | Next

Disk Recoup™ is a disk copy utility for faulty hard drives that are not completely dead. It can clone hard drives with bad media spots (sectors) and other non-critical hardware faults that may cause other data recovery utilities to hang. Disk Recoup™ uses both high- and low-level disk commands and intelligent algorithms to copy the raw data from the source drive to another hard drive. Disk Recoup™ accesses the source drive strictly in read-only mode and presents no risk to the source drive except for normal wear and tear.

For Disk Recoup™ to work, the drive must still be detected by the computer BIOS at boot time and respond to basic disk commands.

In the best-case scenarios, the destination drive will be accessible normally in Windows® Explorer after the copy operation is complete and the computer is rebooted. In other scenarios, the drive is not directly accessible but the files and folders it contains can be recovered using a file recovery utility such as File Scavenger®. See "What is copied".

While copying a faulty hard drive, Disk Recoup™ and even Windows® may hang on reading a bad spot on disk. That usually requires a reboot. When it is restarted, Disk Recoup™ will intelligently avoid the bad spot and continue to copy other parts of the hard drive. A badly damaged drive may require a few reboots. Eventually Disk Recoup™ will copy all readable data.

Disk Recoup™ can be used in the following cases:

  • A hard drive contains many bad media spots (sectors) which cause other data recovery utilities to hang.
  • A hard drive is accessible after the computer is booted up but may go offline later without warning.
  • A hard drive is detected by the computer BIOS at boot time but may cause the computer to hang later.
  • The drive electronics have partially failed and only respond to basic disk commands.

Disk Recoup™ does not work in the following cases:

  • A hard drive has a mechanical failure and does not spin up.
  • The drive electronics have completely failed and do not respond to any disk commands.
  • A hard drive is not detected by the BIOS when the computer is turned on.

In other words, Disk Recoup™ can copy a faulty hard drive that is not completely dead. A dead hard drive must be sent to a clean room facility where it is read with special hardware equipments. Sometimes faulty components must be replaced. Fortunately, a large majority of faulty hard drives can be copied. See "Determine the status of a hard drive".

Disk Recoup™ is not required when a hard drive has no hardware faults but data is not accessible in Windows® Explorer due to corruption or accidental deletion of partitions. In this case use a file recovery utility such as File Scavenger® to recover files.

Disk Recoup™ supports the following types of storage devices, listed in the order of Disk Recoup's effectiveness:

  • IDE drives and SATA drives.
  • SCSI, SAS and USB drives.
  • Zip drives, CD, DVD, memory cards (such as Memory Stick, Compact Flash, MMC, SD, xD, etc.), and other removable devices.

The following table shows common hard drive symptoms and our suggested remedies.

Hard drive symptoms | Suggested remedies
Hardware working normally or with minor faults. Corrupt or deleted partitions. Inaccessible data. | File Scavenger®.
Many bad media spots (bad sectors). Other non-critical hardware faults. Causing the computer to hang. Still detected by computer BIOS. Responding to basic disk commands. | Disk Recoup™ and possibly File Scavenger®.
Mechanical failure (e.g., drive not spinning up). Critical drive electronics failure. Other critical hardware faults. Not detected by computer BIOS. Not responding to any disk commands. | Clean room facility.

Disk Recoup 2.1
Table of Contents


Why use Disk Recoup™?

For a faulty hard drive that is not completely dead, Disk Recoup™ offers the following advantages:

  • An inexpensive alternative to sending the drive to a clean room facility.
  • Recovery of data in hours instead of waiting days for the hard drive to be sent, recovered and then returned.

Disk Recoup™ complements file recovery programs such as File Scavenger®. File recovery programs are effective in handling corrupt hard drives. However, they can be ineffective against a faulty hard drive. For example, after a few hours of scanning a hard drive, a program may encounter and hang on a spot of bad sectors. If you must reboot the computer or restart the program, you lose all the work already performed.

On the other hand, Disk Recoup™ is specifically designed to handle faulty hard drives with the following strategies:

  • Using the optimal combination of high- and low-level disk operations to read the source hard drive. Low-level disk operations are slower but more tolerant to hardware faults and less likely to hang on a read.
  • Employing intelligent algorithms to minimize the effect of bad media spots and other hardware faults.
  • Continuously saving the work already performed. If the program or Windows® does hang and a reboot is unavoidable, the copy operation can be resumed with no loss. Upon being restarted, the program will intelligently avoid the bad spot and continue to copy other parts of the source hard drive. See "Time and patience".
  • When the copy operation file is complete but with some unreadable sectors, you can click on Copy again. Disk Recoup™ will try and copy the missing sectors and usually will successfully read some more. You can keep doing this until no more sectors can be read.


What is copied?

You can copy the source hard drive to a dedicated hard drive or a disk image file. The diagram below shows the steps required for each option.

Data recovery paths

Dedicated destination hard drive

Disk Recoup™ copies raw data from the source hard drive to the destination hard drive. That means the data is replicated, sector by sector, byte by byte to the destination. Disk Recoup™ is not aware of file system structures or partition boundaries. It cannot interpret the data. Its duty is to replicate the data to a reliable drive so that the data can subsequently be accessed or recovered without interruptions by hardware faults.

A dedicated destination drive must meet the following requirements:

  • The drive must be empty.
  • The drive must be the same size as or larger than the source drive. Note that even when two hard drives are labeled as having the same size, their actual sizes may differ slightly. To be sure compare the number of sectors.
  • Both hard drives must have the same sector size. Even though the universally accepted size is 512 bytes, some special high-performance drives may have a larger sector size such as 4,096 bytes.

If the source data is undamaged and the copy operation is 100% complete, the destination drive will be usable as a replacement for the source drive. If the source drive is bootable, so will be the destination drive. The volume (or volumes) original on the source drive will be accessible again in Windows® Explorer after a reboot, possibly under a different drive letter. No other actions are required.

The destination drive may contain corrupt data due to the following reasons:

  • The copy operation is less than 100% complete. A number of sectors (usually small) on the source drive may be bad and cannot be copied.
  • Some data is already corrupt on the source drive. The corrupt data is dutifully copied to the destination drive.

Data corruption affects the destination drive as follows:

  • If critical file system structures (i.e., metadata) are undamaged, the destination drive will be accessible in Windows® Explorer after a reboot. The files and folders whose contents are stored on the corrupt disk spots will be corrupt. Other files and folders should be fine.
  • If critical file system structures are corrupt, the destination drive will not be accessible in Windows® Explorer. In this case you must use a file recovery utility such as File Scavenger® to recover files and folders from the destination drive to yet another drive.

Session file

If you choose a dedicated hard drive as the destination, you must specify a session file to store housekeeping information. The file and its companion folder require significant disk space. See "Working disk space" for disk space requirements.

The session file must not reside on the source or destination drive. It must have the file extension "drs".

Disk-image file

A disk image file contains the raw, sector-by-sector contents of the source hard drive. However, the original files and folders on the source drive are not directly accessible in Windows® Explorer. You must use a file recovery program such as File Scavenger® to scan the disk-image file and recover the original files and folders to a destination folder.

If the data is undamaged, the original files and folders will be available again in the new destination folder. If the data is partially damaged, some files and folders will be corrupt.

A disk-image file must have the file extension "dsk" and must be created on a volume that meets the following requirements:

  • It must have sufficient unused disk space to hold the disk image file (which will have the same size as the source drive) and a work folder (see "Working disk space").
  • It must have the same sector size as the source drive. Even though the universally accepted size is 512 bytes, some special high-performance drives may have a larger sector size such as 4,096 bytes.
  • If the source drive is larger than 4 GB, the volume must be NTFS because a FAT32 volume cannot hold a file larger than 4 GB.

Perhaps the only advantage of copying data to a disk-image file is that this method does not require a dedicated blank drive. You can create the disk-image file on any volume with sufficient unused disk space.

Compression

It is tempting to create a disk-image file on a compressed volume to save disk space. However, you should consider the following:

  • A compressed file on an NTFS volume is stored in a more complex structure. The complexity increases with the size of the file. A disk-image can be hundreds of gigabytes and, therefore, is slightly more prone to corruption than a non-compressed file.
  • Writing compressed data requires additional processing. The performance impact depends on many factors. In our limited testing the transfer rates were about 15% to 20% slower.


Determine the status of a hard drive

The following symptoms are indicative of a dead hard drive (which requires a clean room facility):

  • You can not feel any spinning motion on the metal surface of the drive when the computer is turned on. Be sure to strictly follow electrostatic discharge safety procedures before touching a hard drive or any other pieces of hardware.
  • When the computer is turned on, the hard drive is not detected by the BIOS or is detected but determined to be bad.

Make sure that the fault is in the hard drive and not the computer or cables. Make sure the drive is properly connected to the computer. Try and use a different cable and disk controller. Test the drive on another computer if possible.

The following symptoms are indicative of a hard drive that has no hardware faults but the data it holds is corrupt (for which you need File Scavenger® instead of Disk Recoup™):

  • The drive is detected normally by the BIOS when the computer is booted up.
  • The drive is displayed in Windows® Disk Management, sometimes with the status of being "unallocated" or "unformatted".
  • The drive is inaccessible in Windows® Explorer. Otherwise the computer seems to function normally.

The candidate drive for Disk Recoup™ is one that has hardware faults but has not completely failed. It usually has the following symptoms:

  • The drive is detected by the BIOS when the computer is booted up. The computer may boot normally or may take much longer than usual.
  • The drive is displayed in Windows® Disk Management, sometimes after a long pause.
  • Attempts to access the drive in Windows® Explorer may cause the computer to hang.
  • Windows® reports disk errors such as "bad media" or "cyclic redundancy check".
  • A file recovery utility such as File Scavenger® can still scan the drive but may hang at certain disk spots.

If Windows® does not boot with the drive connected, you can try to boot into a simplified Windows® environment such as BartPE. Then run Disk Recoup™ in this environment, but only in demo mode.


Install Disk Recoup™

Download and install Disk Recoup™ from our our web site.

Welcome

Setup - Step 1

License Agreement

Setup - Step 2

Destination location

Setup - Step 3

Start Menu Folder

Setup - Step 4

Review installation information

Setup - Step 5

Installing

Setup - Step 6

Finish

Setup - Step 7


Prepare to use Disk Recoup™?

Is Disk Recoup™ the right tool?

Disk Recoup™ can be used as the first step in recovering data from a hard drive with non-critical hardware faults. After the raw data has been copied to a reliable destination drive, the recovery will be much faster and more likely to succeed.

Please click here to view a table that can help to determine if Disk Recoup™ is the right tool.

What is required to use Disk Recoup™?

A destination hard drive or disk image file

See "What is copied?".

Working disk space

Secondly, Disk Recoup™ requires a working folder with sufficient free space to store housekeeping information. If a disk-image file is the destination of the copy operation, the folder will automatically be created at the same location as the disk-image file. If a dedicated hard drive is the destination, the folder must be created on a volume residing on a third hard drive.

In licensed mode the working space required is about 1/2,000th the size of the source drive. For example, 250 MB of working space is required to copy a 500-GB hard drive. In demo mode the required working space is 1.7% with the extra space used to store encryption data. In the same example, about 7.5 GB is needed.

Note that if you perform the copy operation in demo mode, the files stored in the working folder are required for decryption. If the files are not available, the destination cannot be decrypted and is unusable.

A computer running Windows®

Third, you need a computer running Windows® 7, Vista, Server 2008, Server 2003, XP or 2000 to perform the copy operation. Both the source and destination drives must be mounted on this computer as non-boot, non-system drives. If Windows® hangs on the source drive at boot time, you can try booting the computer from a CD into a simplified Windows® environment such as BartPE.

To run Disk Recoup™ you must logon to Windows® as a system administrator.

Disk Recoup™ in licensed or demo mode

Fourth, you need to download and install Disk Recoup™. You can purchase a license to activate the program or run it in demo mode.

Time and patience

Last but not least, you need time and patience. For a drive with minor faults, the copy operation can proceed at or near the normal transfer rates between the source and destination. In our limited performance testing, we recorded transfer rates around 3 GB per minute between two 500 GB SATA drives and the copy operation took over 3 hours.

Older drives are usually slower. But their capacities are usually smaller.

USB-connected (USB 2.0) external drives can be three to five times slower compared to an internal drive of the same size and model.

A faulty hard drive may generate timeout errors, thus increasing the total time. The errors may force Disk Recoup™ to use more basic disk operations that are more tolerant of hardware faults but are slower than standard disk operations. This also adds to the total time.

With all its fault avoidance strategies, Disk Recoup™ may still hang on a read. You do not lose any work because Disk Recoup™ continuously saves its status. However, you will need to reboot the computer and restart Disk Recoup™. It will resume the copy operation at a different spot on the hard drive, avoiding the troubling spots. The reboots will add to the total time. For a severely damaged hard drive, the computer may need to be rebooted many times.

The total time taken to copy a source hard drive depends on many factors as discussed above. In our limited testing a 500 GB SATA drive with minor faults may take a few hours to copy. One with moderately severe faults may take half a day. One with very severe faults may take a few days because of the numerous timeout errors and reboots.

When the copy operation file is complete but with some unreadable sectors, you can click on Copy again. Disk Recoup™ will try and copy the missing sectors and usually will successfully read some more. You can keep doing this until no more sectors can be read.


Start a new disk copy session

Select the source drive

To start a new copy operation, first select the faulty drive as the source. (Otherwise see Resume a disk copy session.)

Typically you will select a physical drive such as "Disk 1", "Disk 2", etc. You can click on the command "Show drive letters" to display and then select a logical drive as the source. However, such an operation is only meaningful in very special cases.

If the faulty drive is not listed, it may not have been detected by the BIOS. See "Determine the status of a hard drive".

Select the destination

The second step is to select a destination which can be either a dedicated blank hard drive or a disk image file.

Start copying

Finally click "Copy" to start the operation. The program will display its progress. See "Main dialog" for detail.

Click on "Stop" to stop the operation. You can resume it by clicking on "Copy" again.

If Disk Recoup™ or Windows® hangs on reading the source disk, you will need to reboot the computer and resume the copy operation. You can tell the program is hung if the copy statistics do not change for many seconds.

When the copy operation file is complete but with some unreadable sectors, you can click on Copy again. Disk Recoup™ will try and copy the missing sectors and usually will successfully read some more. You can keep doing this until no more sectors can be read.


Resume a disk copy session

A disk copy session can be interrupted intentionally, such as when you click on "Stop" to stop the program. The operation can also be halted when Disk Recoup™ hangs while reading the faulty drive or when the faulty drive goes offline unexpectedly.

Upon restarting Disk Recoup™ will automatically display the settings from the interrupted session for your convenience. You can simply click on "Copy" to resume the copy operation.

You can also manually restore the settings from a previous session. If the destination of the operation is a dedicated hard drive, click on "Browse" to browse to and select the session file created when the operation was initiated. If the destination is a disk-image file, click on "Browse" to browse to and select the disk-image file.

See Time and patience for information about resumption of work.


Decrypt the destination

Disk Recoup™ will encrypt the data at the destination if it runs in demo mode and the size of the source drive is over 1 GB. The data must be decrypted to be usable. Note that the source drive is not modified.

The decryption requires the following:

  • The destination hard drive or disk-image file.
  • The file holding encryption data. The file has the same filename as the session file or disk-image file and the file extension "enx". It resides in the "Work folder".
  • A license. Disk Recoup™ performs a decrypt command only in licensed mode.


Logging and status report

Previous | Next

Disk Recoup ™ writes all program messages to a log file. The log file resides in the same folder and has the same filename as the disk-image file or session file, but with the extension "txt". If you report a problem to our technical support, please include this file as an email attachment.

Use the "Report" command on the "File" menu to generate a status report showing which sectors have or have not been copied. See "File menu" for more information.


Features of Disk Recoup™

The main features Disk Recoup™ 2.2 provides are as follows:

  • It can copy a faulty hard drive to another hard drive if the faulty drive is still detected by the computer BIOS and still responds to basic disk commands. See "Determine the status of a hard drive"
  • It can copy data to a dedicated blank hard drive or a disk-image file.
  • It supports IDE, SATA, SCSI, SAS and USB hard disks. It also supports CDs, DVDs, Zip Drives, popular memory cards (Compact Flash, Memory Stick, SD, xD, MMC, etc.), floppies, and other removable devices.
  • It supports drives with 4KB sector size.
  • To read a source drive it uses both standard high-level and basic low-level disk commands. The latter are slower but less sensitive to hardware faults. Therefore they may work when high-level commands fail. This is especially true of IDE and SATA hard drives.
  • It provides a simple but effective user interface with extensive help information.
  • It intelligently tries to avoid bad media spots on disk which may cause Windows® to hang.
  • It continuously saves its status so that the work already performed is not lost if the computer hangs when trying to read a bad spot on disk.
  • It automatically saves program messages to a log file for later reference.
  • It allows the omission of specific sectors known to be bad to avoid unnecessary delays due to read errors.
  • It allows a disk copy operation in demo mode. In case of emergency a faulty drive can be copied immediately before it becomes completely inoperable. The destination must be decrypted with a license before use. The decryption command does not require the presence of the source drive.
  • The source drive is accessed strictly in read-only mode. Using Disk Recoup™ presents no risk to the source drive except for normal wear and tear.


Licensing and technical support

Licensing

Demo mode

You can download Disk Recoup™ from our web site at http://www.quetek.com and use it in demo mode. In this mode you can:

  • Copy source hard drives up to 1 GB in size.
  • Copy larger hard drives but the data at the destination is encrypted and is not usable until it is decrypted. Encryption is performed only at the destination. The source is accessed strictly in read-only mode.

Decryption requires a license and may take as much time as the copy operation. Therefore using Disk Recoup™ in demo mode may double the total time. Note that the decryption does not require the source drive. In an emergency situation you can use Disk Recoup™ in demo mode to copy data to a good drive before the faulty drive becomes completely inoperable.

In an environment without a well defined system configuration such as BartPE, the licensing information cannot be saved. You must use Disk Recoup™ in demo mode. After the source drive has been copied completely, you can decrypt the destination with a license.

Licensed mode

You can purchase a license online through our web site at http://www.quetek.com. Then choose the License command on the Help menu to unlock Disk Recoup™.

A license can be used on one specific computer. It can be transferred from the original computer to a second computer in the following scenarios:

  • The original computer is being retired and replaced by the second computer.
  • The license is bought for the original computer for testing. The actual use is intended for the second computer.

The right to transfer a license is not intended to allow a license to be used as a floating license among multiple computers. A license is sold to one specific computer.

Technical Support

Disk Recoup™ licensees receive a three-year period of technical support via phone or electronic mail. Additional support after this period can be arranged by contacting our sales staff at sales@quetek.com.

Please send your technical questions or problems to help@quetek.com. Typical response times during business hours and extended support hours are as follows:

  • At least 90% of email received between 8 AM to 5 PM on working days will be handled within 30 minutes.
  • At least 90% of email received between 6 AM to 8 AM and 5 PM to 10 PM on working days will be handled within 2 hours.
  • At least 99% of email will be handled within 24 hours including holidays.


Frequently asked questions

Purchasing and licensing

I received the message "Invalid License Key".
I need a new license key after upgrading my computer.
I lost my license key.

See "Licensing and technical support".

I need an invoice.

Please visit http://www.quetek.com/cgi-bin/getreceipt

What are the differences between Disk Recoup™ demo and licensed mode?

Please see Licensing and Technical Support.

Why do European Union customers have to pay VAT?

We are required by the EU to collect VAT on purchases made by EU residents. Business customers do not have to pay this tax if a valid VAT number is provided.

I do not have a logon ID to logon to the QueTek web site.

The sole purpose of logon IDs is for buyers of multiple licenses to get additional licenses.

Usage

Does Disk Recoup™ modify the source drive?

Disk Recoup™ accesses the source drive strictly in read-only mode. It presents no risk to the source drive except for normal wear and tear.

Disk Recoup™ seems to be hung.

See Time and patience.

My computer hangs when booting up if the faulty drive is connected.

Try to boot from a CD into a simplified Windows® environment such as BartPE.


Contact us

QueTek Consulting Corporation
2650 Fountain View Drive, Suite 122
Houston, TX 77057
USA

Toll-free for US and Canada sales only: 1-866-722-0584
Phone: +1 713 722 0584
Fax: +1 832 251-8037

Technical Support: help@quetek.com
Email: help@quetek.com
Web Site: http://www.quetek.com

We are open from 8:00 to 18:00, US central time, Monday through Friday. We are in US central time, 6 hours behind GMT from about November to March. During daylight saving time from about March to November we are 5 hours behind GMT. We are closed on the following US holidays:

  • New Year’s Day
  • Easter
  • Memorial Day
  • July 4th Independence Day
  • Labor Day (first Monday in September)
  • Thanksgiving (fourth Thursday in November)
  • Day after Thanksgiving
  • Christmas Eve
  • Christmas Day


File menu

The File menu offers the following commands:

Report

Generates a report on the copying status of the source hard drive. The report is in Microsoft® Excel CSV format, as shown in the screen capture below:

The status can be:

  • Successfully copied.
  • Unsuccessfully copied. The sectors cannot be copied because of an error such as media error.
  • Unread. The sectors have not been read.
  • Omitted. The user explicitly omitted the sectors from the copy operation.

This command is not available in demo mode.

Decrypt

Decrypts a destination hard drive or disk image file that has been earlier copied by Disk Recoup™ in demo mode with encryption.

Exit

Exits Disk Recoup™.


Options menu

The Options menu offers the following commands:

Omit Sectors

Explicitly omits certain sectors from the copy operation. See Omit Sectors.

Optimize

Chooses the best combination of low-level and standard high-level disk operations to copy the most data in the least amount of time. This command should only be used by an expert user. See Source Drive Optimization.

Trace

Only use this when requested by our technical support.


Help menu

The Help menu offers the following commands, which provides assistance for working with this application:

Help Topics

Offers an index of topics to get help on.

License...

Displays or edits licensing information.

About Disk Recoup

Displays the Disk Recoup™ version number and the copyright statement.


About Disk Recoup™ dialog

About Disk Recoup™

Previous | Next

This dialog displays a copyright statement and the current software version number.

Click on "Show License Agreement" to see the end-user licensing agreement.


Decryption Status dialog

Decryption Status dialog

This dialog is displayed when you try to decrypt a Destination that has been fully or partially decrypted before. Disk Recoup™ will display the sector number following the last decrypted sector.

From the beginning to ensure complete decryption.

Scans the Destination from the beginning and decrypt sectors still in encrypted form. Sectors already decrypted will be skipped. This option will take more time but ensure all data is decrypted.

From the sector below

Resumes decryption from the sector number displayed. In a normal situation, this option should be chosen.


End user licensing agreement

Previous | Next

End User Licensing Agreement dialog

This dialog displays the end-user licensing agreement.


License dialog

License

Previous | Next

Licensing mode dialog

Demo mode

Disk Recoup™ runs in demo mode until activated with a license. In demo mode source drives up to 1 GB are copied normally. Larger drives are also copied but encrypted at the destination. (The source is not changed.)

Licensed mode

Select this mode to activate the program if you have a license. Licenses can be purchased online at http://www.quetek.com. You will need the Registration code displayed on this dialog.

Launch Internet Browser

Click this button to launch the default Internet browser and visit our web site.


Main dialog

Source

The source hard drive. You can click on "Show drive letters" and then select a drive letter (i.e., volume) as the source. Such an operation is only meaningful if you intend to copy a volume to a disk image file for backup purposes.

Destination

The destination which can be a dedicated blank hard drive or a disk image file.

Disk-image file

If the selection in "Destination" is "A disk-image file", this is the name of the disk-image file.

Session file

If the selection in "Destination" is a dedicated hard drive, you must specify a session file.

Browse

If you are starting a new disk copy session, use this command to create a new disk-image file or session file. See "What is copied?" and "Working disk space".

If you are resuming a previous session, use this command to load the disk-image file or session file you created when the session was initiated.

Copy

Starts copying.

Current Statistics

This box shows the statistics for the last sixty seconds.

  • Current rate: Data transfer rate in the last sixty seconds.
  • Elapsed time: Time since "Copy" was clicked on.
  • Estimated time left: Remaining time calculated from the current rate above.

Cumulative Statistics

This box shows the cumulative statistics from the beginning of this disk copy operation.

  • Average rate: Average transfer rate since the copy operation was initiated. If this is a resumed session, this includes all previous runs.
  • Total time: Total time the copy operation has taken place, including all previous runs, if any.
  • Estimated time left: Remaining time calculated from the average rate above

Note that the estimated time left calculated from the current rate is usually more accurate than the time calculated from the average rate. The two times can be significantly different. The copy operation can be significantly slower near completion because Disk Recoup™ always tries to read the good parts of the disk first. It reads the more troubling parts last and may encounter more timeout errors. Therefore the time calculated from the average rate may be overly optimistic.


Omit Sectors

Omit sectors dialog

The most likely use of this command is to skip sectors you do not need in order to speed up the copy operation. For example, you may have a 500 GB hard drive but the partition of interest occupies the first 100 GB of the drive. You can omit sectors beyond the end of the partition.

Another use, even though much less likely, is to instruct Disk Recoup™ to skip certain bad media spots you already know by other means. Disk Recoup™ can intelligently determine these spots while copying data. However, this information may help to avoid unnecessary delays.

Drive

The source (i.e., faulty) hard drive.

Sector Range

The valid range of sector numbers for this drive.

From

Specifies the first sector of a range to be omitted.

To

Specifies the last sector of a range to be omitted.

Add

Adds this range to the list.

Remove

Removes this range from the list.

Omitted Sectors

Ranges of sectors to be omitted.


Source drive optimization

Source drive optimization dialog

Warning: This dialog is for expert users only. Casual use of the options below may have an adverse effect.

Source Drive

The source drive you selected.

Use both high- and low-level disk operations (recommended).

This is the default selection. Disk Recoup™ will try to balance between speed and fault tolerance to optimize the copy operation.

Use only standard (high-level) disk operations.

High-level disk operations are faster but more sensitive to hardware faults.

Read size (sectors): The number of sectors per disk read. A larger value means faster copying. A smaller value means fewer read errors.

Use only low-level (hardware) disk operations.

Low-level disk operations are slower but more tolerant to hardware faults.

  • Read size (sectors): See above.
  • Timeout (seconds): The time the program will wait for a disk read before considering the read to have failed. This value should only be changed under our advice or by an expert user knowledgeable of hardware-level disk operations.


Trace dialog

Previous | Next

Use this only under the direction of our technical support staff.


Error and warning messages

Previous Next

The following topics provide information about the most common error and warning messages.

  • Messages 001 to 010
  • Messages 011 to 020
  • Messages 101 to 110
  • Messages 111 to 120
  • Messages 121 to 130
  • Messages 131 to 140
  • Messages 401 to 410
  • Messages 411 to 420


Messages 001 to 010

Code | Description
DRC001E | "<xxx> sectors were successfully decrypted. <yyy> sectors were not decrypted because their encryption data is missing." The destination was not completely decrypted because some encryption data is missing.
DRC002E | "Unable to access registry key." Disk Recoup™ could not access the Windows® registry because of what could be an internal Windows® error.
DRC003E | "Out of memory." There is no more computer memory for the program to continue. Use the Windows® Task Manager to determine if Windows® has used up all available memory. Close unnecessary applications to free up more memory.
DRC004E | "Sector <nnn> was not decrypted because the encryption data is missing." The sector could not be decrypted because the encryption data is missing.
DRC005E | "Sectors <xxx> to <yyy> were not decrypted because the encryption data is missing." The sectors could not be decrypted because the encryption data is missing.
DRC006E | "Please restart the program. Reboot the computer if necessary." Disk Recoup™ is hung and must be restarted. The computer may need to be rebooted. See "Time and patience"
DRC007E | "<Device name> not found." The specified device could not be found. This can happen when you resume a copy operation and the original source hard drive is not found. The drive may have been physically disconnected from the computer or it may have gone offline due to hardware errors. The disk number Windows assigns to the drive (such as "Disk 1") may have changed
DRC008E | "Data could not be read." A low-level disk read operation failed. This error is typical when reading a faulty hard drive. The program should continue to copy other parts of the disk.
DRC009E | "Missing or invalid <name> in the session file <filename>." The specified session file lacks a required verb-value pair. The file may be corrupt or was created by an older version of Disk Recoup™. A session file has the extension "drs".
DRC010E | "The program is stopping because too many messages are being generated." Disk Recoup™ will stop if too many errors are generated in a short time interval. This measure it to prevent the program from going into an "infinite loop", generating excessive errors that may severely affect Windows®.


Messages 011 to 020

Code | Description
DRC011E | "The encryption file is too small." The file holding encryption data does not have the correct size and cannot be used to decrypt the data. See "Decrypt the destination".
DRC012E | "The encryption file has an incorrect size." The file holding encryption data does not have the correct size and cannot be used to decrypt the data. See "Decrypt the destination".
DRC013E | "The offset is too large for SCSI I/O operations." This is an internal program error. Contact technical support.


Messages 101 to 110

Code | Description
DRC101E | "The data already copied to the Destination does not match the data on the currently selected Source drive." When you resume a disk copy operation, Disk Recoup™ compares a number of sectors on the Source and Destination that have already been copied. If the comparison is not successful (i.e., the data is not identical), at least one of the drives has been modified outside of Disk Recoup™. The data on the Source drive may have been changed due to hardware errors. The Destination may have been used as the target of another disk copy operation. Sometimes this error is caused by an unreadable Source Drive and a reboot is required to clear this error condition.
DRC102E | "Invalid license key." The license key you typed in is incorrect. A license key is usable on a specific computer. To use the program on two computers, you need two licenses. You may be able to transfer a license from one computer to another. Visit our web site for more information.
DRC103E | "Invalid filename." The trace filename is incorrect. Use this command only if requested by our technical support staff.
DRC104E | "Invalid sector range." In the "Omit sectors" dialog, the "From" sector must be smaller than the "To" sector. Both sectors must be within the valid "Sector Range" displayed above these textboxes.
DRC105E | "Invalid value." The value you entered is either not a valid numeric value or is outside the valid range.
DRC106E | "If the source is a logical drive letter, the destination must be a disk image file." You cannot copy a logical drive to a physical disk. Such an operation is not meaningful.
DRC107E | "<name 1> is in conflict with the existing file or folder <name 2>. Please use another filename." The name of the new disk image or session file you are creating causes a filename conflict. Disk Recoup™ uses the filename you specified as the base to generate other supporting filenames. If one of those filenames is already used, Disk Recoup™ will not proceed. You must choose a different name.
DRC108E | "The filename is too long." The filename is longer than the allowable maximum. Use a shorter name.
DRC109E | "Unable to access system information You must logon as a system administrator to run this program." You must logon to Windows® using a user account with administrator privilege to run this program.
DRC110E | "This program requires Windows® 2000, Server 2003, XP, Server 2008, Vista or 7." Disk Recoup™ does not run on Windows NT®, Windows Me®, Windows 98® or Windows 95®.


Messages 111 to 120

Code Description
DRC111E "The disk image or session file can not reside on the Source drive."

You must create a disk image or session file on a drive other than the Source drive.
DRC112E "Data cannot be copied to the same disk."

The Destination must not be the same as the Source.
DRC113E "Please re-enable the Source drive. Reboot the computer if necessary."

The Source drive has gone offline.
DRC114E "The destination drive does not have the same sector size as the source. (Source: xxx, destination: yyy)."

The Source drive can only be copied to a Destination with the same sector size.
DRC115E "This command requires a license."

In demo mode the following commands are not available:

  • Decrypting the destination.
  • Generating a status report of the copy operation.
DRC116E "No Source."

No Source drive was selected.
DRC117E "You must click on the button Stop to abort the current activity before exiting."

You cannot exit the program while a command is in progress. First you must click on "Stop" to abort the current command.
DRC118E "The Destination drive originally contained <xxx> sectors. It currently contains <yyy> sectors."

You are resuming a previous copy operation and the size of the Destination drive is not the same as the original value. This error is most likely caused by the selection of the wrong Destination drive.
DRC119E "The size of the Source drive is zero."

The Source drive may not be working and is reporting a zero size.
DRC120E "Sector size mismatch error. The original Source drive was <device-name> with sector size xxx. The currently selected Source drive has sector size yyy."

You are resuming a previous copy operation and the sector size of the Source drive is not the same as the original value. This error is most likely caused by the selection of the wrong Source drive.


Messages 121 to 130

Code | Description
DRC121E | "Drive size mismatch error. The original Source was <device-name> with xxx sectors. The currently selected Source drive contains yyy sectors." You are resuming a previous copy operation and the size of the Source drive is not the same as the original value. This error is most likely caused by the selection of the wrong Source drive.
DRC122E | "Invalid filename. Please click on Browse to choose or type in a valid full-path filename." The name of the disk-image file or session file is not valid.
DRC123E | "Insufficient space on drive <drive letter>." There is insufficient available disk space on the drive holding the disk-image file or the session file (and the companion work folder). See "What is required to use Disk Recoup™".
DRC124E | "The destination drive (xxx bytes) is smaller than the source (yyy bytes)." A dedicated Destination hard drive must be the same size as or larger than the Source drive.
DRC125E | "The session file must have the extension ‘.drs’." See "Session file".
DRC126E | "The disk-image file must have the extension ‘.dsk’." See "Disk-image file".
DRC127E | "The file must have the extension ‘.dsk’ or ‘drs’." You must specify a disk-image file (extension ‘dsk’) or session file (extension ‘drs’).
DRC128E | "The drive did not respond to low-level disk operations." You clicked on "Options", "Source Drive Optimization" and chose to use only low-level disk operations. However, the Source drive did not respond to low-level disk commands.
DRC129E | "<disk nnn> contains volume <ccc> and cannot be written over. If <disk nnn> is the intended destination, use Windows® Disk Management to delete all volumes the disk contains." See Dedicated destination hard drive
DRC130E | "Could not dismount volume <drive letter>." You chose to copy data to a physical drive that contains an active volume (i.e., drive letter) and the volume could not be dismounted so that copying can proceed. This error should be followed by a more detailed message.


Messages 131 to 140

Code | Description
DRC131E | "Could not obtain volume <drive letter> information." The status of the volume cannot be determined. This error should be followed by a more detailed message.
DRC132E | "End marker not found in config file <file-name>." The configuration is either corrupted or has been incorrectly modified.
DRC133E | "<image-name> is larger than 4 GB and cannot be created on a FAT volume." A FAT volume can only hold files up to 4 GB in size regardless of the amount of available free space. Please save the image file on an NTFS volume.
DRC134E | "The session file cannot be on a volume on the Destination drive. Please create the file on a volume other than <drive letter>." Because all volumes on the Destination drive will be erased, they cannot be used to store the Session file.


Messages 401 to 410

Code Description
DRC401W "No data has been copied in the last <elapsed time>"

No data has been read from the source hard drive in the time specified. Disk Recoup™ may be hung on a read operation. See "Time and patience". If this error persists for a few minutes, you may need to reboot the computer.
DRC402W "The source drive has been copied with <nnn> unreadable sector(s).
Click on the button Copy to try and copy the unread sectors again."

The copy operation file is complete but with some unreadable sectors. You should click on Copy again. Disk Recoup™ will try and copy the missing sectors and usually will successfully read some more. You can keep doing this until no more sectors can be read.
DRC403W "No encrypted data was found."

No encrypted data was found on the Destination. The possible reasons include:

  • The data was already decrypted.
  • The data was encrypted in another session. You must click on "Browse" and load the correct session file.
DRC404W "The original Source/Destination was <drive>. The new Source/Destination is <drive>."

The name of the Source drive or Destination has changed. It can be the same drive but the name has changed due to a new disk number assignment. When you physically add or remove drives and reboot Windows®, the disk number assigned to a drive may change.
DRC405W "The serial number of the original Source was <xxx>. The serial number of the currently selected Source is <yyy>. Please make sure data is copied from the same Source."

You are resuming a previous copy operation and the hardware serial number of the Source drive is not the same as the original value. This error is most likely caused by the selection of the wrong Source drive.

DRC406W "The Source/Destination will be changed to <drive>."

You are opening a disk-image file or session file. The Source and Destination settings from the file will replace the current selections.
DRC407W "The Destination disk-image file should not be created on a compressed volume."

See Compression.
DRC408W "The Source drive is larger than the demo limit (1 GB). The Destination is encrypted and must be decrypted before use."

See "Licensing and technical support".
DRC409W "The program will use high-level disk operations."

You clicked on "Options", "Source Drive Optimization" and chose to use only low-level disk operations. However, the Source drive did not respond to low-level disk commands.
DRC410W "<destination drive> will be overwritten."

You chose a physical hard drive to be the destination of a copy operation. Any existing data on the drive will be overwritten and permanently lost. If you are resuming a copy operation, the program will continue to copy data that has not been copied. See Dedicated destination hard drive.


Messages 411 to 420

Previous

Code | Description
DRC411W | "The timeout value of one second may cause excessive disk timeout errors and may severely affect the operating system. This value should only be used if recommended by our technical support staff. Click Cancel to choose another value (recommended) or OK to proceed anyway (not recommended)." Choosing this timeout value may cause excessive disk timeout errors. The source drive may go offline unexpectedly. Windows® may be severely affected. This value should only be used on a computer dedicated to this task. It may reduce in half the total time taken to copy a disk with many bad sectors and other severe but non-critical hardware faults.
DRC412W | "<disk nnn> contains volume <ccc> and cannot be written over. Click OK to permanently delete the volume(s) and proceed with copying." The destination drive contains active volumes. If you click OK Disk Recoup™ will delete all volumes on this drive and proceed with copying. Check again to make sure the destination drive is the intended drive.
DRC413W | "Warning: The partition type 0x42 for dynamic disk was not copied to the destination." Skip this data because it may raise a drive configuration conflict in Windows Vista or later.
Table of Contents
Previous